<?php $this->Html->addCrumb('Admin', '/admin') ?>
<?php $this->Html->addCrumb('Articles', null) ?>

<div class="pull-left">
	<h1>
		Articles
		<?php if (!empty($this->request->named['trash'])): ?> - Trash<?php endif ?>
	</h1>
</div>

<div class="btn-toolbar pull-right" style="margin-bottom:10px">
	<?php if ($this->Admin->hasPermission($permissions['related']['articles']['admin_add'])): ?>
		<div class="btn-group">
			<a class="btn btn-info dropdown-toggle" data-toggle="dropdown">
				Add Article
				<span class="caret"></span>
			</a>
			<ul class="dropdown-menu">
				<?php foreach ($categories as $category_id => $category): ?>
					<li>
						<?=
						$this->Html->link($category, array(
							'action' => 'add',
							$category_id
						)) ?>
					</li>
				<?php endforeach; ?>
			</ul>
		</div>
	<?php endif ?>
	<div class="btn-group">
		<a class="btn btn-success dropdown-toggle" data-toggle="dropdown">
			Filter by Category
			<span class="caret"></span>
		</a>
		<ul class="dropdown-menu">
			<?php foreach ($categories as $category_id => $category): ?>
				<li>
					<?=
					$this->Html->link($category, array(
						'category_id' => $category_id
					)) ?>
				</li>
			<?php endforeach; ?>
		</ul>
	</div>
	<div class="btn-group">
		<a class="btn btn-success dropdown-toggle" data-toggle="dropdown">
			View <i class="fa fa-picture-o"></i>
			<span class="caret"></span>
		</a>
		<ul class="dropdown-menu view">
			<li>
				<?=
				$this->Html->link('<i class="fa fa-check"></i> Active', array(
					'admin' => true,
					'action' => 'index'
				), array('escape' => false)) ?>
			</li>
			<li>
				<?=
				$this->Html->link('<i class="fa fa-trash-o"></i> Trash', array(
					'admin' => true,
					'action' => 'index',
					'trash' => 1
				), array('escape' => false)) ?>
			</li>
		</ul>
	</div>
</div>
<div class="clearfix"></div>

<?php if (empty($this->request->data)): ?>
	<div class="well">
		No Items Found
	</div>
<?php else: ?>
	<div class="table-responsived">
		<table class="table table-striped">
			<thead>
			<tr>
				<th>
					<?= $this->Paginator->sort('title') ?>
				</th>
				<th>
					Status
				</th>
				<th class="hidden-xs">
					<?= $this->Paginator->sort('User.username', 'Author') ?>
				</th>
				<th>
					<?= $this->Paginator->sort('Category.title', 'Category') ?>
				</th>
				<th class="hidden-xs">
					<?= $this->Paginator->sort('created') ?>
				</th>
				<th></th>
			</tr>
			</thead>

			<tbody>
			<?php foreach ($this->request->data as $data): ?>
				<tr>
					<td>
						<?php if ($this->Admin->hasPermission($permissions['related']['articles']['view'], $data['User']['id']) && $data['Permissions']['view']): ?>
							<?=
							$this->Html->link($data['Article']['title'], array(
								'admin' => false,
								'action' => 'view',
								'slug' => $data['Article']['slug'],
								'id' => $data['Article']['id']
							)) ?>
						<?php else: ?>
							<?= $data['Article']['title'] ?>
						<?php endif ?>

						<span class="pull-right">
	                        <?php if ($data['Comment']['count'] > 0 && $data['Permissions']['admin_edit']): ?>
	                            <?=
	                            $this->Html->link('<i class="fa fa-comment" title="# of Comments"></i> ' . $data['Comment']['count'], array(
			                            'action' => 'edit',
			                            $data['Article']['id'],
			                            'comments'
		                            ), array('escape' => false)
	                            ) ?>
	                        <?php else: ?>
	                            <i class="fa fa-comment" title="# of Comments"></i>
	                            <?= $data['Comment']['count'] ?>
	                        <?php endif ?>
	                    </span>
					</td>
					<td>
						<?php if ($data['Article']['status'] == 0): ?>
							Saved as a Draft, NOT live
						<?php elseif (!empty($time)): ?>
							Will go Live - <?= $this->Admin->Time($data['Article']['publish_time'], "F d, Y h:i a") ?>
						<?php else: ?>
							Live
						<?php endif ?>
					</td>
					<td class="hidden-xs">
						<?php if ($this->Admin->hasPermission($permissions['related']['users']['profile'], $data['User']['id'])): ?>
							<?=
							$this->Html->link($data['User']['username'], array(
								'controller' => 'users',
								'action' => 'profile',
								$data['User']['username']
							)) ?>
						<?php endif ?>
					</td>
					<td><?= $data['Category']['title'] ?></td>
					<td class="hidden-xs">
						<?=
						$this->Admin->time(
							$data['Article']['created']
						) ?>
					</td>
					<td>
						<?php if ($data['Permissions']['admin_delete'] || $data['Permissions']['admin_edit'] || $data['Permissions']['admin_restore'] || $data['Permissions']['view']): ?>
							<div class="btn-group">
								<a class="btn btn-primary dropdown-toggle" data-toggle="dropdown" href="#">
									Actions
									<span class="caret"></span>
								</a>
								<ul class="dropdown-menu">
									<?php if ($this->Admin->hasPermission($permissions['related']['articles']['view'], $data['User']['id']) && $data['Permissions']['view']): ?>
										<li>
											<?=
											$this->Admin->view(
												null,
												null,
												null,
												array(
													'slug' => $data['Article']['slug'],
													'id' => $data['Article']['id']
												)
											) ?>
										</li>
									<?php endif ?>

									<?php if (empty($this->request->named['trash'])): ?>
										<?php if ($this->Admin->hasPermission($permissions['related']['articles']['admin_edit'], $data['User']['id']) && $data['Permissions']['admin_edit']): ?>
											<li>
												<?=
												$this->Admin->edit(
													$data['Article']['id']
												) ?>
											</li>
										<?php endif ?>
										<?php if ($this->Admin->hasPermission($permissions['related']['articles']['admin_delete'], $data['User']['id']) && $data['Permissions']['admin_delete']): ?>
											<li>
												<?=
												$this->Admin->remove(
													$data['Article']['id'],
													$data['Article']['title']
												) ?>
											</li>
										<?php endif ?>
									<?php else: ?>
										<?php if ($this->Admin->hasPermission($permissions['related']['articles']['admin_restore'], $data['User']['id']) && $data['Permissions']['admin_restore']): ?>
											<li>
												<?=
												$this->Admin->restore(
													$data['Article']['id'],
													$data['Article']['title']
												) ?>
											</li>
										<?php endif ?>
										<?php if ($this->Admin->hasPermission($permissions['related']['articles']['admin_delete'], $data['User']['id']) && $data['Permissions']['admin_delete']): ?>
											<li>
												<?=
												$this->Admin->remove(
													$data['Article']['id'],
													$data['Article']['title'],
													true
												) ?>
											</li>
										<?php endif ?>
									<?php endif ?>
								</ul>
							</div>
						<?php endif ?>
					</td>
				</tr>
			<?php endforeach ?>
			</tbody>
		</table>
	</div>
<?php endif ?>

<?= $this->Element('admin_pagination') ?>